<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>
  <:view>
    {{#if (and @value @value.isEnabled)}}
      <h4>{{t this.enabledText}}</h4>
      <LinkTo @route="manage.dashboards.map" @model={{@value.map.id}}>{{@value.map.name}}</LinkTo>
    {{else}}
      <div class="alert alert-info" role="alert">
        <MarkDown @value={{t this.disabledText}} />
      </div>
    {{/if}}
  </:view>

  <:edit>
    <div class="form-check form-switch pb-2">
      <Input
        @type="checkbox"
        @checked={{this.isEnabled}}
        id="{{this.elementId}}Enable"
        class="form-check-input enable-map"
      />
      <label class="form-check-label" for="{{this.elementId}}Enable">{{t "enabled"}}</label>
    </div>

    {{#if this.isEnabled}}
      <Input::Select class="map-select" @list={{@maps}} @value={{this.map}} @onChange={{this.updateMap}} />
    {{/if}}
  </:edit>
</Manage::FieldContainer>